PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_lo_export

## Name

pg_lo_export -- export a large object to a Unix file

## Synopsis

    pg_lo_export conn lobjId filename

### Inputs

`conn`

  Specifies a valid database connection.

`lobjId`

  Large object identifier. XXX Is this the same as the objOid in other calls?? thomas - 1998-01-11

`filename`

  Unix file name.

### Outputs

None XXX Does this return a lobjId? Is that the same as the objOid in other calls? thomas - 1998-01-11

## Description

`pg_lo_export` writes the specified large object into a Unix file.

## Usage

`pg_lo_export` must be called within a BEGIN/END transaction block.

Prev | Home | Next
pg_lo_import | Up | libpgeasy - Simplified C Library